Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base

Public Class RegistryTaskVC
    Inherits Nuvolar.Module.RegistryTaskVC
    Dim _WaitFormClass As New WaitFormClass
	Public Sub New()
		MyBase.New()

		'This call is required by the Component Designer.
		InitializeComponent()
		RegisterActions(components) 

    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()
        AddHandler Me.InitWork, AddressOf _WaitFormClass.Initwork
        AddHandler Me.DoWork, AddressOf _WaitFormClass.DoWork
        AddHandler Me.FinalWork, AddressOf _WaitFormClass.Finalwork
    End Sub
    Protected Overrides Sub OnDeactivated()
        MyBase.OnDeactivated()

    End Sub
    
End Class
